<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/PTree/TypeVisitor.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/TypeVisitor.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/PTree/TypeVisitor.hh</b>
<div><a href="../../../Source/Synopsis/PTree/TypeVisitor.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/PTree/TypeVisitor.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">PTree<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html" target="content" title="(class)">TypeVisitor</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#TypeVisitor_l_r" target="content" title="(member function)">TypeVisitor</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#my_type" target="content" title="(data member)">my_type</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#type_of_lNode_S_r" target="content" title="(member function)">type_of</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAccessSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrayExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lArrowMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lAssignExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lBreakStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCaseStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lClassSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lCondExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lContinueStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeclarator_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDefaultStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDeleteExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDoStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lDotMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lEnumSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExprStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExpression_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lExternTemplate_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lForStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFstyleCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lFuncallExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lGotoStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIdentifier_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lIfStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lInfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lKeyword_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLabelStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLinkageSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lLiteral_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lMetaclassDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceAlias_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNamespaceSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lNewExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParameterDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lParenExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPmExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lPostfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lReturnStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSizeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lSwitchStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateDecl_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTemplateInstantiation_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lThrowExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTryStatement_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeParameter_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypedef_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeidExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lTypeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUnaryExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUserAccessSpec_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDeclaration_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lUsingDirective_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/TypeVisitor.html#visit_lWhileStatement_S_r" target="content" title="(member function)">visit</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_r" target="content" title="(function)">is_a</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_cToken_mType_r" target="content" title="(function)">is_a</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree.html#is_a_lconst.Node_S_cToken_mType_cToken_mType_cToken_mType_r" target="content" title="(function)">is_a</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree.html#type_of_lconst.Node_S_r" target="content" title="(function)">type_of</a></div></div>
</div>

</body>
</html>
